FieldGroup< BaseTypeList_T, Dims_T >::GetMinMaxPrefilt Struct Reference

`#include <FieldGroup.h>`

## Public Member Functions

| GetMinMaxPrefilt (const Box3d &wsBounds, float *result, MinMaxMode mode)
| Ctor.
template<typename T>
void | operator() (const T &vec) const
| Functor.

## Public Attributes

MinMaxMode | m_mode
float * | m_result
const Box3d & | m_wsBounds

## Detailed Description

template<typename BaseTypeList_T, int Dims_T>
struct FieldGroup< BaseTypeList_T, Dims_T >::GetMinMaxPrefilt

Definition at line 1369 of file FieldGroup.h.

## Constructor & Destructor Documentation

## GetMinMaxPrefilt()

template<typename BaseTypeList_T, int Dims_T>

FieldGroup< BaseTypeList_T, Dims_T >::GetMinMaxPrefilt::GetMinMaxPrefilt | ( | const Box3d & | wsBounds,
|  | float * | result,
|  | MinMaxMode | mode )

inline

Ctor.

Definition at line 1376 of file FieldGroup.h.

: m_wsBounds(wsBounds), m_result(result), m_mode(mode)
{ }
FieldGroup::GetMinMaxPrefilt::m_result
float * m_result
Definition FieldGroup.h:1393
FieldGroup::GetMinMaxPrefilt::m_wsBounds
const Box3d & m_wsBounds
Definition FieldGroup.h:1392
FieldGroup::GetMinMaxPrefilt::m_mode
MinMaxMode m_mode
Definition FieldGroup.h:1394
FieldGroup
Definition FieldGroup.h:304

References m_mode, m_result, m_wsBounds, and FieldGroup< BaseTypeList_T, Dims_T >::wsBounds().

## Member Function Documentation

## operator()()

template<typename BaseTypeList_T, int Dims_T>
template<typename T>

void FieldGroup< BaseTypeList_T, Dims_T >::GetMinMaxPrefilt::operator() | ( | const T & | vec | ) | const

inline

Functor.

Definition at line 1381 of file FieldGroup.h.

{
if (m_mode == Min) {
FieldSampler<T, Dims_T>::getMinMaxPrefilt(vec, m_wsBounds, m_result,
FieldSampler<T, Dims_T>::Min);
} else {
FieldSampler<T, Dims_T>::getMinMaxPrefilt(vec, m_wsBounds, m_result,
FieldSampler<T, Dims_T>::Max);
}
}
FieldGroup::GetMinMaxPrefilt::Min
@ Min
Definition FieldGroup.h:1372
FieldSampler::getMinMaxPrefilt
static void getMinMaxPrefilt(const WrapperVec_T &f, const Box3d &wsBounds, float *result, const Mode mode)
Definition FieldSampler.h:402

References FieldSampler< WrapperVec_T, Dims_T >::getMinMaxPrefilt(), m_mode, m_result, m_wsBounds, FieldSampler< WrapperVec_T, Dims_T >::Max, Min, and FieldSampler< WrapperVec_T, Dims_T >::Min.

## Member Data Documentation

## m_wsBounds

template<typename BaseTypeList_T, int Dims_T>

const Box3d& FieldGroup< BaseTypeList_T, Dims_T >::GetMinMaxPrefilt::m_wsBounds

Definition at line 1392 of file FieldGroup.h.

Referenced by GetMinMaxPrefilt(), and operator()().

## m_result

template<typename BaseTypeList_T, int Dims_T>

float* FieldGroup< BaseTypeList_T, Dims_T >::GetMinMaxPrefilt::m_result

Definition at line 1393 of file FieldGroup.h.

Referenced by GetMinMaxPrefilt(), and operator()().

## m_mode

template<typename BaseTypeList_T, int Dims_T>

MinMaxMode FieldGroup< BaseTypeList_T, Dims_T >::GetMinMaxPrefilt::m_mode

Definition at line 1394 of file FieldGroup.h.

Referenced by GetMinMaxPrefilt(), and operator()().

The documentation for this struct was generated from the following file:

- export/FieldGroup.h